From 7e2a4ccab513c9e7173a0972447a07569e4f7aa3 Mon Sep 17 00:00:00 2001
From: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date: Tue, 29 Nov 2011 01:34:00 +0900
Subject: [PATCH] detect libintl static library correctly in configure

---
 contrib/src/gettext/rules.mak |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/contrib/src/gettext/rules.mak b/contrib/src/gettext/rules.mak
index 15225c8..7e1d820 100644
--- a/contrib/src/gettext/rules.mak
+++ b/contrib/src/gettext/rules.mak
@@ -49,5 +49,9 @@ endif
 ifdef HAVE_WIN32
 	(cd $(PREFIX)/include; sed -i.orig '314 c #if 0' libintl.h)
 endif
+ifdef HAVE_MACOSX
+	# detect libintl correctly in configure for static library
+	(cd $(PREFIX)/share/aclocal; sed -i.orig  '184s/$$LIBINTL/$$LIBINTL $$INTL_MACOSX_LIBS/' gettext.m4)
+endif
 	touch $@
 
-- 
1.7.7.2

